## org.apache.lucene.queryParser.standard.config
Interface FuzzyAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  FuzzyAttributeImpl

Deprecated.

    @Deprecated
    public interface FuzzyAttribute

extends Attribute

This attribute is used by `PhraseSlopQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default phrase slop when no slop is defined in a phrase.

Method Summary
`float` `getFuzzyMinSimilarity()` Deprecated.
`int` `getPrefixLength()` Deprecated.
`void` `setFuzzyMinSimilarity(float minSimilarity)` Deprecated.
`void` `setPrefixLength(int prefixLength)` Deprecated.

Method Detail

### setPrefixLength

    void setPrefixLength(int prefixLength)

  Deprecated.

### getPrefixLength

    int getPrefixLength()

  Deprecated.

### setFuzzyMinSimilarity

    void setFuzzyMinSimilarity(float minSimilarity)

  Deprecated.

### getFuzzyMinSimilarity

    float getFuzzyMinSimilarity()

  Deprecated.